Changeset 2991 for ThirdParty/Glpk


Ignore:
Timestamp:
Oct 15, 2013 11:48:32 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/stable/1.9/configure

    r2939 r2991  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-glpk compile project Glpk with debug compiler flags
    1064   --enable-doscompile     Under Cygwin, compile so that executables run under
    1065                           DOS. Set to mingw to use gcc/g++/ld with
    1066                           -mno-cygwin. Set to msvc to use cl/link (or
    1067                           icl/link). Default when mentioned: mingw. Default
    1068                           when not mentioned: disabled.
     1064
     1065  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10691066  --disable-pkg-config    disable use of pkg-config (if available)
    10701067  --enable-static[=PKGS]
     
    18561853
    18571854# Get the name of the C compiler
    1858 case $build in
     1855
     1856
     1857  # for backward compatibility
     1858  # Check whether --enable-doscompile or --disable-doscompile was given.
     1859if test "${enable_doscompile+set}" = set; then
     1860  enableval="$enable_doscompile"
     1861  enable_doscompile=$enableval
     1862else
     1863  enable_doscompile=no
     1864fi;
     1865
     1866  # Check whether --enable-msvc or --disable-msvc was given.
     1867if test "${enable_msvc+set}" = set; then
     1868  enableval="$enable_msvc"
     1869  enable_msvc=$enableval
     1870else
     1871  enable_msvc=no
     1872     if test "$enable_doscompile" = msvc ; then
     1873       enable_msvc=yes
     1874     elif test "$enable_doscompile" != no ; then
     1875       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1876echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1877   { (exit 1); exit 1; }; }
     1878     fi
     1879
     1880fi;
     1881
     1882  if test "$enable_msvc" = yes; then
     1883    case $build in
     1884      *-cygwin* | *-mingw*) ;;
     1885      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1886echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1887   { (exit 1); exit 1; }; } ;;
     1888    esac
     1889  fi
     1890
     1891
     1892 case $build in
    18591893  *-mingw*)
    18601894    if test "${LD+set}" = set; then :; else
     
    18631897    ;;
    18641898 esac
    1865  case $enable_doscompile in
    1866    msvc)
    1867      if test "x${LD+set}" = xset; then :; else
    1868        LD=link
    1869      fi
    1870      ;;
    1871  esac
    1872 
    1873 
    1874  # Check whether --enable-doscompile or --disable-doscompile was given.
    1875 if test "${enable_doscompile+set}" = set; then
    1876   enableval="$enable_doscompile"
    1877   if test "$enable_doscompile" != no; then
    1878      case $build in
    1879        *-cygwin* | *-mingw*) ;;
    1880        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1881 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1882    { (exit 1); exit 1; }; } ;;
    1883      esac
     1899 if test $enable_msvc = yes ; then
     1900   if test "x${LD+set}" = xset; then :; else
     1901     LD=link
    18841902   fi
    1885 else
    1886   enable_doscompile=no
    1887 fi;
    1888  case "$enable_doscompile" in
    1889    mingw)
    1890      case $build in
    1891        *-mingw*) enable_doscompile=no ;;
    1892      esac
    1893      ;;
    1894    msvc|no) ;;
    1895    yes) enable_doscompile=mingw ;;
    1896    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1897                     Try configure --help=recursive." >&5
    1898 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1899                     Try configure --help=recursive." >&2;}
    1900    { (exit 1); exit 1; }; }
    1901       ;;
    1902   esac
    1903   if test "$enable_doscompile" != no ; then
    1904     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1905 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1906   fi
     1903 fi
    19071904
    19081905
     
    19471944case $build in
    19481945  *-cygwin* | *-mingw*)
    1949              if test "$enable_doscompile" = msvc ; then
    1950                comps="icl cl"
     1946             if test "$enable_msvc" = yes ; then
     1947               comps="icl cl gcc"
    19511948             else
    1952                comps="gcc cl"
     1949               comps="gcc icl cl"
    19531950             fi ;;
    19541951  *-*-solaris*)
     
    28032800            ;;
    28042801        esac
    2805         case $enable_doscompile in
    2806           mingw)
    2807             CFLAGS="-mno-cygwin"
    2808             cat >conftest.$ac_ext <<_ACEOF
    2809 /* confdefs.h.  */
    2810 _ACEOF
    2811 cat confdefs.h >>conftest.$ac_ext
    2812 cat >>conftest.$ac_ext <<_ACEOF
    2813 /* end confdefs.h.  */
    2814 
    2815 int
    2816 main ()
    2817 {
    2818 int i=0; i++;
    2819   ;
    2820   return 0;
    2821 }
    2822 _ACEOF
    2823 rm -f conftest.$ac_objext conftest$ac_exeext
    2824 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2825   (eval $ac_link) 2>conftest.er1
    2826   ac_status=$?
    2827   grep -v '^ *+' conftest.er1 >conftest.err
    2828   rm -f conftest.er1
    2829   cat conftest.err >&5
    2830   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2831   (exit $ac_status); } &&
    2832          { ac_try='test -z "$ac_c_werror_flag"
    2833                          || test ! -s conftest.err'
    2834   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2835   (eval $ac_try) 2>&5
    2836   ac_status=$?
    2837   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2838   (exit $ac_status); }; } &&
    2839          { ac_try='test -s conftest$ac_exeext'
    2840   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2841   (eval $ac_try) 2>&5
    2842   ac_status=$?
    2843   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2844   (exit $ac_status); }; }; then
    2845   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2846 else
    2847   echo "$as_me: failed program was:" >&5
    2848 sed 's/^/| /' conftest.$ac_ext >&5
    2849 
    2850 fi
    2851 rm -f conftest.err conftest.$ac_objext \
    2852       conftest$ac_exeext conftest.$ac_ext
    2853             CFLAGS=
    2854           ;;
    2855         esac
    28562802    esac
    28572803  fi
     
    31943140  clang* ) ;;
    31953141  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3196     case $build in
     3142
     3143 case $build in
    31973144  *-mingw*)
    31983145    if test "${LD+set}" = set; then :; else
     
    32013148    ;;
    32023149 esac
    3203  case $enable_doscompile in
    3204    msvc)
    3205      if test "x${LD+set}" = xset; then :; else
    3206        LD=link
    3207      fi
    3208      ;;
    3209  esac
     3150 if test $enable_msvc = yes ; then
     3151   if test "x${LD+set}" = xset; then :; else
     3152     LD=link
     3153   fi
     3154 fi
    32103155
    32113156    ;;
     
    50695014*-*-irix6*)
    50705015  # Find out which ABI we are using.
    5071   echo '#line 5071 "configure"' > conftest.$ac_ext
     5016  echo '#line 5016 "configure"' > conftest.$ac_ext
    50725017  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50735018  (eval $ac_compile) 2>&5
     
    66686613
    66696614# Provide some information about the compiler.
    6670 echo "$as_me:6670:" \
     6615echo "$as_me:6615:" \
    66716616     "checking for Fortran 77 compiler version" >&5
    66726617ac_compiler=`set X $ac_compile; echo $2`
     
    77357680   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77367681   -e 's:$: $lt_compiler_flag:'`
    7737    (eval echo "\"\$as_me:7737: $lt_compile\"" >&5)
     7682   (eval echo "\"\$as_me:7682: $lt_compile\"" >&5)
    77387683   (eval "$lt_compile" 2>conftest.err)
    77397684   ac_status=$?
    77407685   cat conftest.err >&5
    7741    echo "$as_me:7741: \$? = $ac_status" >&5
     7686   echo "$as_me:7686: \$? = $ac_status" >&5
    77427687   if (exit $ac_status) && test -s "$ac_outfile"; then
    77437688     # The compiler can only warn and ignore the option if not recognized
     
    80037948   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80047949   -e 's:$: $lt_compiler_flag:'`
    8005    (eval echo "\"\$as_me:8005: $lt_compile\"" >&5)
     7950   (eval echo "\"\$as_me:7950: $lt_compile\"" >&5)
    80067951   (eval "$lt_compile" 2>conftest.err)
    80077952   ac_status=$?
    80087953   cat conftest.err >&5
    8009    echo "$as_me:8009: \$? = $ac_status" >&5
     7954   echo "$as_me:7954: \$? = $ac_status" >&5
    80107955   if (exit $ac_status) && test -s "$ac_outfile"; then
    80117956     # The compiler can only warn and ignore the option if not recognized
     
    81078052   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81088053   -e 's:$: $lt_compiler_flag:'`
    8109    (eval echo "\"\$as_me:8109: $lt_compile\"" >&5)
     8054   (eval echo "\"\$as_me:8054: $lt_compile\"" >&5)
    81108055   (eval "$lt_compile" 2>out/conftest.err)
    81118056   ac_status=$?
    81128057   cat out/conftest.err >&5
    8113    echo "$as_me:8113: \$? = $ac_status" >&5
     8058   echo "$as_me:8058: \$? = $ac_status" >&5
    81148059   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81158060   then
     
    1045210397  lt_status=$lt_dlunknown
    1045310398  cat > conftest.$ac_ext <<EOF
    10454 #line 10454 "configure"
     10399#line 10399 "configure"
    1045510400#include "confdefs.h"
    1045610401
     
    1055210497  lt_status=$lt_dlunknown
    1055310498  cat > conftest.$ac_ext <<EOF
    10554 #line 10554 "configure"
     10499#line 10499 "configure"
    1055510500#include "confdefs.h"
    1055610501
     
    1289612841   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289712842   -e 's:$: $lt_compiler_flag:'`
    12898    (eval echo "\"\$as_me:12898: $lt_compile\"" >&5)
     12843   (eval echo "\"\$as_me:12843: $lt_compile\"" >&5)
    1289912844   (eval "$lt_compile" 2>conftest.err)
    1290012845   ac_status=$?
    1290112846   cat conftest.err >&5
    12902    echo "$as_me:12902: \$? = $ac_status" >&5
     12847   echo "$as_me:12847: \$? = $ac_status" >&5
    1290312848   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290412849     # The compiler can only warn and ignore the option if not recognized
     
    1300012945   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1300112946   -e 's:$: $lt_compiler_flag:'`
    13002    (eval echo "\"\$as_me:13002: $lt_compile\"" >&5)
     12947   (eval echo "\"\$as_me:12947: $lt_compile\"" >&5)
    1300312948   (eval "$lt_compile" 2>out/conftest.err)
    1300412949   ac_status=$?
    1300512950   cat out/conftest.err >&5
    13006    echo "$as_me:13006: \$? = $ac_status" >&5
     12951   echo "$as_me:12951: \$? = $ac_status" >&5
    1300712952   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300812953   then
     
    1457014515   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1457114516   -e 's:$: $lt_compiler_flag:'`
    14572    (eval echo "\"\$as_me:14572: $lt_compile\"" >&5)
     14517   (eval echo "\"\$as_me:14517: $lt_compile\"" >&5)
    1457314518   (eval "$lt_compile" 2>conftest.err)
    1457414519   ac_status=$?
    1457514520   cat conftest.err >&5
    14576    echo "$as_me:14576: \$? = $ac_status" >&5
     14521   echo "$as_me:14521: \$? = $ac_status" >&5
    1457714522   if (exit $ac_status) && test -s "$ac_outfile"; then
    1457814523     # The compiler can only warn and ignore the option if not recognized
     
    1467414619   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1467514620   -e 's:$: $lt_compiler_flag:'`
    14676    (eval echo "\"\$as_me:14676: $lt_compile\"" >&5)
     14621   (eval echo "\"\$as_me:14621: $lt_compile\"" >&5)
    1467714622   (eval "$lt_compile" 2>out/conftest.err)
    1467814623   ac_status=$?
    1467914624   cat out/conftest.err >&5
    14680    echo "$as_me:14680: \$? = $ac_status" >&5
     14625   echo "$as_me:14625: \$? = $ac_status" >&5
    1468114626   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1468214627   then
     
    1688116826   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1688216827   -e 's:$: $lt_compiler_flag:'`
    16883    (eval echo "\"\$as_me:16883: $lt_compile\"" >&5)
     16828   (eval echo "\"\$as_me:16828: $lt_compile\"" >&5)
    1688416829   (eval "$lt_compile" 2>conftest.err)
    1688516830   ac_status=$?
    1688616831   cat conftest.err >&5
    16887    echo "$as_me:16887: \$? = $ac_status" >&5
     16832   echo "$as_me:16832: \$? = $ac_status" >&5
    1688816833   if (exit $ac_status) && test -s "$ac_outfile"; then
    1688916834     # The compiler can only warn and ignore the option if not recognized
     
    1714917094   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1715017095   -e 's:$: $lt_compiler_flag:'`
    17151    (eval echo "\"\$as_me:17151: $lt_compile\"" >&5)
     17096   (eval echo "\"\$as_me:17096: $lt_compile\"" >&5)
    1715217097   (eval "$lt_compile" 2>conftest.err)
    1715317098   ac_status=$?
    1715417099   cat conftest.err >&5
    17155    echo "$as_me:17155: \$? = $ac_status" >&5
     17100   echo "$as_me:17100: \$? = $ac_status" >&5
    1715617101   if (exit $ac_status) && test -s "$ac_outfile"; then
    1715717102     # The compiler can only warn and ignore the option if not recognized
     
    1725317198   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725417199   -e 's:$: $lt_compiler_flag:'`
    17255    (eval echo "\"\$as_me:17255: $lt_compile\"" >&5)
     17200   (eval echo "\"\$as_me:17200: $lt_compile\"" >&5)
    1725617201   (eval "$lt_compile" 2>out/conftest.err)
    1725717202   ac_status=$?
    1725817203   cat out/conftest.err >&5
    17259    echo "$as_me:17259: \$? = $ac_status" >&5
     17204   echo "$as_me:17204: \$? = $ac_status" >&5
    1726017205   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1726117206   then
     
    2201021955echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2201121956coin_link_input_cmd="$LN_S"
    22012 if test "$enable_doscompile" = mingw; then
    22013   coin_link_input_cmd=cp
    22014 fi
    2201521957case "$CC" in
    2201621958  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.